Package org.globus.gsi.provider.simple

# Class SimpleMemoryProvider

java.lang.Object
java.util.Dictionary<Object,Object>
java.util.Hashtable<Object,Object>
java.util.Properties
java.security.Provider
org.globus.gsi.provider.simple.SimpleMemoryProvider

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public final class SimpleMemoryProvider extends Provider
Deprecated.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.security.Provider

`Provider.Service`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CERTSTORE_TYPE`
Deprecated.
`static final String`
`KEYSTORE_TYPE`
Deprecated.
`static final String`
`PROVIDER_NAME`
Deprecated.

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`SimpleMemoryProvider()`
Deprecated.
Create Provider and add Components to the java security framework.

## Method Summary

### Methods inherited from class java.security.Provider

`clear, compute, computeIfAbsent, computeIfPresent, configure, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, getVersionStr, isConfigured, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

### Methods inherited from class java.util.Properties

`clone, contains, containsKey, containsValue, equals, getProperty, hashCode, isEmpty, list, list, load, loadFromXML, propertyNames, rehash, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### PROVIDER_NAME

public static final String PROVIDER_NAME
Deprecated.

See Also:
  - Constant Field Values

### CERTSTORE_TYPE

public static final String CERTSTORE_TYPE
Deprecated.

See Also:
  - Constant Field Values

### KEYSTORE_TYPE

public static final String KEYSTORE_TYPE
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### SimpleMemoryProvider

public SimpleMemoryProvider()
Deprecated.
Create Provider and add Components to the java security framework.